using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量结果导出记录实体
    /// </summary>
    public class MeasureExportRecordDTO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 测量项编码列表
        /// </summary>
        /// <value></value>
        public IList<MeasureExportDetailDTO> RemedicalMeasuredInfoCodes { get; set; }

        /// <summary>
        /// 可导出文件目录
        /// </summary>
        /// <value></value>
        public string ExportFileToken { get; set; }

        /// <summary>
        /// Create time
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Update time
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
    }

    /// <summary>
    /// 测量结果详情记录
    /// </summary>
    public class MeasureExportDetailDTO
    {
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        public int SortNum { get; set; }

        /// <summary>
        /// 测量编码
        /// </summary>
        /// <value>234sd43534dsfasdasd3asd</value>
        public string RemedicalMeasuredInfoCode { get; set; }
    }
}