using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Courses
{
    /// <summary>
    ///  视频分页查询
    /// </summary>
    public class FindVideoPagesRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字
        /// </summary>
        /// <value>视频名称</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 课程code
        /// </summary>
        /// <value>JKX3542345234</value>
        /// <code>0</code>
        public string CourseCode { get; set; }

        /// <summary>
        /// 类型：1-视频：2-素材
        /// </summary>
        /// <value>1</value>
        /// <code>0</code>
        public int Category { get; set; }

        /// <summary>
        /// 素材分类：视频、图片、文件
        /// </summary>
        /// <value>21</value>
        /// <code>0</code>
        public UploadFileTypeEnum FodderType { get; set; }

        /// <summary>
        /// 是否只查询我上传的， true-表示是，false-表示不只是看到我上传的，还有只要是公共的素材都可以看到
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsJustQueryMyUpload { get; set; } = true;
    }
}