using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Measure;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 测量记录db查询请求实体
    /// </summary>
    public class QueryMeasureExportRecordDBRequest
    {
        /// <summary>
        /// 测量项code列表 
        /// </summary>
        /// <returns></returns>
        public IList<MeasureExportDetailDTO> RemedicalMeasuredInfoCodes { get; set; }

        /// <summary>
        /// 语言 
        /// </summary>
        /// <returns>zh-CN</returns>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 添加测量记录db查询请求实体
    /// </summary>
    public class AddMeasureExportRecordDBRequest : QueryMeasureExportRecordDBRequest
    {
        /// <summary>
        /// 可导出文件目录
        /// </summary>
        /// <value></value>
        public string ExportFileToken { get; set; }
    }
}