
using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.ReportTemplate;
using WingInterfaceLibrary.DTO.Report;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增报告模板请求实体
    /// </summary>
    public class BatchInsertReportTemplateRequest : TokenRequest
    {
        /// <summary>
        /// 迁移数据
        /// </summary>
        /// <value></value>
        public IList<ReportTemplateMigratoryInfo> ReportTemplateMigratorys { get; set; }
    }

    /// <summary>
    /// 报告模板数据迁移请求实体
    /// </summary>
    public class ReportTemplateMigratoryInfo : ReportTemplateDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
        /// <summary>
        /// 创建时间 
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
    }

    /// <summary>
    /// 报告标签
    /// </summary>
    public class BatchInsertReportLabelRequest : TokenRequest
    {
        /// <summary>
        /// 迁移数据
        /// </summary>
        /// <value></value>
        public IList<ReportLabelMigratoryInfo> ReportLabelData { get; set; }
    }

    /// <summary>
    /// 迁移报告标签
    /// </summary>
    public class ReportLabelMigratoryInfo:ReportLabelDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
    }
}