using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.RemedicalAISelected
{
    /// <summary>
    /// 保存AI图像详情请求
    /// </summary>
    public class SaveRemedicalAISelectedInfoRequest : TokenRequest
    {
        /// <summary>
        /// 记录编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        /// <code>0</code>
        public string Code { get; set; }

        /// <summary>
        /// 扫查图像编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RemedicalCode { get; set; } = string.Empty;

        /// <summary>
        /// 第几帧，默认0
        /// </summary>
        /// <value>0</value>
        public int FrameIndex { get; set; }

        /// <summary>
        /// AI图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string AIFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string PreviewFileToken { get; set; } = string.Empty;

        /// <summary>
        /// AI诊断详情，不抽帧
        /// </summary>
        /// <value></value>
        public string DiagnosisData { get; set; } = string.Empty;

        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }

        /// <summary>
        /// AI识别的器官
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();
    }
}